Subject: when is a remote a branch?

From: "Anand Kumria" <[email-masked]>
Date: Sun, 12 Nov 2006 15:50:02 +0000 (UTC)

Hi,

I generally tend to use cogito -- it does all the heavy lifting, like
recovering from interrupted fetchs (usually) for me.  One thing I haven't
really gotten my head around is the difference between a branch and a
remote.

git-branch knows of 'remotes' (via the -r parameter) and these to be
unrelated to what cogito thinks remotes are (it seems to look for things
in .git/refs/head/<name> and then a corresponding .git/branches/<name>/
which it then declares a remote).

Yet, git-init-db creates both .git/remotes and .git/branches

What is the difference between the two. From my (naïve) perspective the
two tools (git and cogito) regarded them very differently.

Any explanation, or pointer to some documentation, would be helpful.

Thanks,
Anand